import React from 'react'
import Nav from '../components/nav'
import Footer from '../components/footer'
import * as layoutStyles from './layout.module.css'

export default function Layout({ path, editLink, children }) {
  return (
    <>
      <Nav path={path} />
      <main className={layoutStyles.layout}>
        <article>{children}</article>
      </main>
      <Footer editLink={editLink} />
    </>
  )
}
